Subject: Ticket Assigned - Wrong Mask delivered
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 26 Nov 2020 03:19:47 +0000

Hi Ammar Asif,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Wrong Mask delivered Hello I have a complaint

I ordered a face mask and it is completely Different from the picture on the website. Its extremely low quality and the colour is orange instead of white. there is no return option which is very unfair as I dont want to pay for a product which is extremely low quality and not at all like the picture. Extremely disappointed and feel cheated.

I reached out to your agent through chat and after wasting 1 hour of my time they said it can not be returned

Is it my fault that I received the incorrect product?

And now Im forced to pay for a cheap quality mask which I never ordered

I’m emailing here because I’m extremely frustrated firstly with the order and secondly because of the horrible customer service I have received. I tried calling no one answered, I messaged on your Instagram page still no response.

Would appreciate if you could do something about this.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1758754